# Use a Node.js base image
FROM node:22.14-slim

# Set the working directory inside the container
WORKDIR /usr/src/app

# Copy package.json and package-lock.json (or yarn.lock/pnpm-lock.yaml)
COPY package*.json ./

# Install dependencies
RUN npm install --legacy-peer-deps

# Copy the rest of your application code
COPY . .

# Expose the port Next.js runs on
EXPOSE 3001

# Command to run the Next.js development server
CMD ["npm", "run", "dev"]